petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMPlexStratifyMigrationSF

Rearrange the leaves of a migration sf for stratification.

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexStratifyMigrationSF(DM dm, PetscSF sf, PetscSF *migrationSF)

### Input Parameter

| dm | - The DM
| sf | - A star forest with non-ordered leaves, usually defining a DM point migration

### Output Parameter

migrationSF -A star forest with added leaf indirection that ensures the resulting DM is stratified

### See Also

DMPlexPartitionLabelCreateSF(), DMPlexDistribute(), DMPlexDistributeOverlap()

### Level

developer

### Location

src/dm/impls/plex/plexdistribute.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages